Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer.image
Class StreamImageService

    java.lang.Object
      nextapp.echo2.webcontainer.image.AbstractImageService
          nextapp.echo2.webcontainer.image.StreamImageService

All Implemented Interfaces:
  Service

    public class StreamImageService

extends AbstractImageService

Renders a `StreamImageReference` to the client.

Field Summary
`static StreamImageService` | `INSTANCE` Singleton instance of this `Service`.

Fields inherited from interface nextapp.echo2.webrender.Service
`DO_NOT_CACHE`

Constructor Summary
`StreamImageService()`

Method Summary
`java.lang.String` | `getId()` Returns the unique identifier of this service.
`int` | `getVersion()` Returns the version of the service to be retrieved.
`void` | `renderImage(Connection conn, ImageReference imageReference)` Renders the specified image to the given connection.

Methods inherited from class nextapp.echo2.webcontainer.image.AbstractImageService
`createUri, service, serviceBadRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final StreamImageService INSTANCE

  Singleton instance of this `Service`.

Constructor Detail

### StreamImageService

    public StreamImageService()

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `Service`
  Returns the unique identifier of this service.

  Returns:
    The unique identifier of this service.
  See Also:
    `Service.getId()`

### getVersion

    public int getVersion()

  Description copied from interface: `Service`
  Returns the version of the service to be retrieved. When a service is requested with an updated version number, a non-cached copy will be used. `getVersion()` should return distinct values whenever the service's content may have changed.

  Returns:
    The current version number of the service.
  See Also:
    `Service.getVersion()`

### renderImage

    public void renderImage(Connection conn,
                            ImageReference imageReference)
                     throws java.io.IOException

  Description copied from class: `AbstractImageService`
  Renders the specified image to the given connection. Implementations should set the response content type, and write image data to the response `OutputStream`.

  Specified by:
    `renderImage` in class `AbstractImageService`
  Parameters:
    `conn` - the `Connection` on which to render the image
    `imageReference` - the image to be rendered
  Throws:
    `java.io.IOException` - if the image cannot be rendered
  See Also:
    `AbstractImageService.renderImage( nextapp.echo2.webrender.Connection, nextapp.echo2.app.ImageReference)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD